CVE-2006-1993

NameCVE-2006-1993
DescriptionMozilla Firefox 1.5.0.2, when designMode is enabled, allows remote attackers to cause a denial of service and possibly execute arbitrary code via certain Javascript that is not properly handled by the contentWindow.focus method in an iframe, which causes a reference to a deleted controller context object. NOTE: this was originally claimed to be a buffer overflow in (1) js320.dll and (2) xpcom_core.dll, but the vendor disputes this claim.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1053-1, DSA-1055-1
NVD severitymedium (attack range: remote)
Debian Bugs364810

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid56.0-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)1.5.dfsg+1.5.0.3-1high364810
mozillasource(unstable)(unfixed)high
mozillasourcesarge2:1.7.8-1sarge6mediumDSA-1053-1
mozilla-firefoxsourcesarge1.0.4-2sarge7mediumDSA-1055-1

Notes

[sarge] - mozilla-thunderbird <no-dsa> (Not directly exploitable in Thunderbird)

Search for package or bug name: Reporting problems